org.eclipse.actf.model.flash.util

## Class AsVersionChecker

- java.lang.Object
- - org.eclipse.actf.model.flash.util.AsVersionChecker

    public class AsVersionChecker
    extends Object

### Field Summary

Fields
`static int` `READBUFFER_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`AsVersionChecker()`

### Method Summary

Methods
`SwfInfo` `getSwfInfo()`
`static void` `main(String[] args)`
`void` `setSwfFile(InputStream _in)`
`void` `setSwfFile(String path)`
`void` `setSwfFile(URL _url)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### READBUFFER_SIZE

    public static final int READBUFFER_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### AsVersionChecker

    public AsVersionChecker()

### Method Detail

#### setSwfFile

    public void setSwfFile(String path)

#### setSwfFile

    public void setSwfFile(URL _url)

#### setSwfFile

    public void setSwfFile(InputStream _in)

#### getSwfInfo

    public SwfInfo getSwfInfo()

#### main

    public static void main(String[] args)
                     throws IOException

Throws:
  `IOException`